<div>
    <div class="sticky-top">
        <b-navbar
            class="nav-bar-overflow black-fade-1 shadow"
            toggleable="xl"
            type="dark"
            variant="dark"
        >
            <div class="nav-bar-custom-toggle">
                <b-navbar-brand style="margin-top: 10px" @click="open_functori()">
                    <img src="/img/icon.png" alt="Explorus" height="40px" />
                </b-navbar-brand>
                <b-navbar-toggle
                    class="custom-navbar-toggler"
                    target="nav-collapse"
                ></b-navbar-toggle>
                <b-collapse id="nav-collapse" is-nav>
                    <b-nav pills>
                        <b-nav-item
                            v-if="components_states.baking_rights||components_states.latest_blocks"
                            class="navigation-item"
                            :active="get_pathname()=='/blocks'||get_pathname()=='/'"
                            :disabled="get_pathname()=='/blocks'||get_pathname()=='/'"
                            @click="show_blocks()"
                        >
                            Blocks
                        </b-nav-item>
                        <b-nav-item
                            v-if="components_states.consensus_ops"
                            class="navigation-item"
                            :active="get_pathname()=='/consensus_ops'"
                            :disabled="get_pathname()=='/consensus_ops'"
                            @click="show_consensus_ops()"
                        >
                            Consensus Ops
                        </b-nav-item>
                        <b-nav-item
                            v-if="components_states.bakers_activity"
                            class="navigation-item"
                            :active="get_pathname()=='/bakers_activity'"
                            :disabled="get_pathname()=='/bakers_activity'"
                            @click="show_bakers_activity()"
                        >
                            Bakers
                        </b-nav-item>
                        <b-nav-item
                            v-if="components_states.explorer"
                            class="navigation-item"
                            :active="get_pathname()=='/explorer'"
                            :disabled="get_pathname()=='/explorer'"
                            @click="show_explorer()"
                        >
                            Explorer
                        </b-nav-item>
                        <b-nav-item
                            v-if="components_states.soru"
                            class="navigation-item"
                            :active="get_pathname()=='/soru'"
                            :disabled="get_pathname()=='/soru'"
                            @click="show_soru()"
                        >
                            SORU
                        </b-nav-item>
                        <b-nav-item
                            v-if="components_states.dal"
                            class="navigation-item"
                            :active="get_pathname()=='/dal'"
                            :disabled="get_pathname()=='/dal'"
                            @click="show_dal()"
                        >
                            DAL
                        </b-nav-item>
                        <b-nav-item
                            v-if="components_states.logs"
                            class="navigation-item"
                            :active="get_pathname()=='/changelogs'"
                            :disabled="get_pathname()=='/changelogs'"
                            @click="show_changelogs()"
                        >
                            Logs
                        </b-nav-item>
                    </b-nav>
                </b-collapse>
                <b-navbar-nav class="ml-auto">
                    <b-form-select
                        @change="set_net()"
                        v-model="selected"
                        class="nav-bar-network mb-3"
                    >
                        <template v-for="network in enabled_networks">
                            <b-form-select-option v-if="network==='mainnet'" value="mainnet">
                                Mainnet
                            </b-form-select-option>
                            <b-form-select-option v-if="network==='ghostnet'" value="ghostnet">
                                Ghostnet
                            </b-form-select-option>
                            <b-form-select-option v-if="network==='weeklynet'" value="weeklynet">
                                Weeklynet
                            </b-form-select-option>
                            <b-form-select-option v-if="network==='quebecnet'" value="quebecnet">
                                Quebecnet
                            </b-form-select-option>
                            <b-form-select-option v-if="network==='rionet'" value="rionet">
                                Rionet
                            </b-form-select-option>
                            <b-form-select-option v-if="network==='nextnet'" value="nextnet">
                                Nextnet
                            </b-form-select-option>
                        </template>
                        <b-form-select-option value="customnet" disabled
                            >Customnet</b-form-select-option
                        >
                    </b-form-select>
                    <div class="hide-seperator vl"></div>
                    <b-nav-form v-if="components_states.round_clock">
                        <v-round_clock></v-round_clock>
                    </b-nav-form>
                    <div class="hide-seperator vl"></div>
                    <b-nav-form v-if="components_states.consensus_progression">
                        <b-button size="sm" class="mx-2" variant="dark">
                            <v-consensus_progression></v-consensus_progression>
                        </b-button>
                    </b-nav-form>
                    <b-nav-form v-if="components_states.network_constants">
                        <b-button size="sm" class="mx-2" variant="dark">
                            <v-network_constants></v-network_constants>
                        </b-button>
                    </b-nav-form>
                    <div class="shrink-seperator vl"></div>
                    <b-nav-form v-if="components_states.share_url">
                        <v-share_url></v-share_url>
                    </b-nav-form>
                    <b-nav-form v-if="components_states.pyrometer">
                        <v-pyrometer></v-pyrometer>
                    </b-nav-form>
                    <b-nav-form v-if="components_states.settings">
                        <b-button
                            size="sm"
                            class="mx-2"
                            variant="dark"
                            :disabled="get_pathname()=='/settings'"
                            @click="show_settings()"
                        >
                            <span id="settings_tip" style="padding-block: 0.25rem">
                                <i class="bi bi-gear-fill" />
                            </span>
                        </b-button>
                        <b-tooltip target="settings_tip" triggers="hover">
                            <p class="text-nowrap">Go to settings</p>
                        </b-tooltip>
                    </b-nav-form>
                </b-navbar-nav>
            </div>
        </b-navbar>
        <v-info_bar v-if="components_states.info_bar"></v-info_bar>
        <v-protocol_injection :key="`${all_keys.protocol_injection}`" />
    </div>

    <div>
        <v-baking_rights
            :key="`${all_keys.baking_rights}`"
            v-if="((get_pathname()=='/'||get_pathname()=='/blocks')
                    &&components_states.baking_rights)
                 ||(get_pathname()=='/consensus_ops'
                    &&components_states.consensus_ops
                    &&components_states.baking_rights)"
        ></v-baking_rights>

        <v-latest_blocks
            :key="`${all_keys.latest_blocks}`"
            v-if="(get_pathname()=='/'||get_pathname()=='/blocks')&&components_states.latest_blocks"
        ></v-latest_blocks>

        <v-consensus_ops
            :key="`${all_keys.consensus_ops}`"
            v-if="get_pathname()=='/consensus_ops'&&components_states.consensus_ops"
        ></v-consensus_ops>

        <v-bakers_activity
            :key="`${all_keys.bakers_activity}`"
            v-if="get_pathname()=='/bakers_activity'&&components_states.bakers_activity"
        ></v-bakers_activity>

        <v-explorer
            :key="`${all_keys.explorer}`"
            v-if="get_pathname()=='/explorer'&&components_states.explorer"
        ></v-explorer>

        <v-soru
            :key="`${all_keys.soru}`"
            v-if="get_pathname()=='/soru'&&components_states.soru"
        ></v-soru>

        <v-dal
            :key="`${all_keys.dal}`"
            v-if="get_pathname()=='/dal'&&components_states.dal"
        ></v-dal>

        <v-logs
            :key="`${all_keys.logs}`"
            v-if="get_pathname()=='/changelogs'&&components_states.logs"
        ></v-logs>

        <v-settings
            :key="`${all_keys.settings}`"
            v-if="get_pathname()=='/settings'&&components_states.settings"
        ></v-settings>

        <div v-if="unknown_pathname()">
            <br />
            <span class="center m-5 p-5">[ERROR : wrong path]</span>
        </div>
    </div>
</div>
